group "FxRateObservation.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 2 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
rateObservation+, rateObservationQuoteBasis?

Content Model Elements (2):

  rateObservation (in asian in features in fxOption), | rateObservationQuoteBasis

Known Usage Locations

- In definitions of global complexTypes (1):
  FxAsianFeature

Annotation
The elements common to FX rate observation.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="FxRateObservation.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="rateObservation" type="FxAverageRateObservation"/> <xsd:element minOccurs="0" name="rateObservationQuoteBasis" type="StrikeQuoteBasisEnum"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/2)
rateObservation

  Type: | FxAverageRateObservation, complex content

  One or more specific rate observation dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="rateObservation" type="FxAverageRateObservation"/>

rateObservationQuoteBasis

  Type: | StrikeQuoteBasisEnum, simple content

  The method by which observed rate values are quoted, in terms of the option put/call currencies. In the absence of this element, rate observations are assumed to be quoted as per the option strikeQuoteBasis.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "PutCurrencyPerCallCurrency" | - | The strike price is an amount of putCurrency per one unit of callCurrency. See: http://www.FpML.org
  "CallCurrencyPerPutCurrency" | - | The strike price is an amount of callCurrency per one unit of putCurrency. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateObservationQuoteBasis" type="StrikeQuoteBasisEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.